package ${basePackage}.action.ajax.system;

import org.springframework.beans.factory.annotation.Autowired;
import ${basePackage}.frame.auth.LocalData;
import ${basePackage}.module.system.mgr.UserRoleManager;
import ${basePackage}.module.system.req.UserRoleCreateRequest;
import ${basePackage}.module.system.req.UserRoleDeleteRequest;
import ${basePackage}.module.system.req.UserRoleFindRequest;
import ${basePackage}.module.system.req.UserRoleUpdateRequest;
import ${basePackage}.module.system.rsp.UserRoleCreateResponse;
import ${basePackage}.module.system.rsp.UserRoleDeleteResponse;
import ${basePackage}.module.system.rsp.UserRoleFindResponse;
import ${basePackage}.module.system.rsp.UserRoleUpdateResponse;

public class UserRoleAjax {

    @Autowired
    private UserRoleManager userRoleManager;

    public UserRoleCreateResponse create(UserRoleCreateRequest request) {
        return userRoleManager.create(request, LocalData.getToken());
    }

    public UserRoleDeleteResponse delete(UserRoleDeleteRequest request) {
        return userRoleManager.delete(request, LocalData.getToken());
    }

    public UserRoleUpdateResponse update(UserRoleUpdateRequest request) {
        return userRoleManager.update(request, LocalData.getToken());
    }

    public UserRoleFindResponse find(UserRoleFindRequest request) {
        return userRoleManager.find(request, LocalData.getToken());
    }
}
